import 'package:em2rp/views/widgets/auth/forgot_password_dialog.dart';
import 'package:flutter/material.dart';

class ForgotPasswordButtonWidget extends StatelessWidget {
  final VoidCallback onPressed;

  const ForgotPasswordButtonWidget({super.key, required this.onPressed});

  @override
  Widget build(BuildContext context) {
    return Align(
      alignment: Alignment.centerRight,
      child: TextButton(
        onPressed: () {
          showDialog(
            context: context,
            builder: (BuildContext context) {
              return const ForgotPasswordDialogWidget();
            },
          );
        },
        child: const Text(
          'Mot de passe oublié ?',
          style: TextStyle(color: Colors.grey),
        ),
      ),
    );
  }
}
